# -*- coding: cp1250 -*-

"""
Module "neighbors.py" contains one function that finds the elevation
of neighboring cells,detects its coordinates and adds this informations
to the list.

Modul "neighbors.py" obsahuje jednu funkci "neighbors_z", kter najde
elevaci sousednch bunk, zjist jejich souadnice a pid tyto informace
do seznamu. 
"""

def neighbors_z(array,x,y,Xmax,Ymax):
   sez = []
   if x == 0:
       if y == 0:
           sez.extend([[x,y+1,array[x,y+1]]])
           sez.extend([[x+1,y+1,array[x+1,y+1]]])
           sez.extend([[x+1,y,array[x+1,y]]])
       elif y == Ymax-1:
           sez.extend([[x,y-1,array[x,y-1]]])
           sez.extend([[x+1,y,array[x+1,y]]])
           sez.extend([[x+1,y-1,array[x+1,y-1]]])
       elif y != 0 and y != Ymax-1:
           sez.extend([[x,y+1,array[x,y+1]]])
           sez.extend([[x+1,y+1,array[x+1,y+1]]])
           sez.extend([[x+1,y,array[x+1,y]]])
           sez.extend([[x+1,y-1,array[x+1,y-1]]])
           sez.extend([[x,y-1,array[x,y-1]]])  
   elif x == Xmax-1:
       if y == 0:
           sez.extend([[x,y+1,array[x,y+1]]])
           sez.extend([[x-1,y,array[x-1,y]]])
           sez.extend([[x-1,y+1,array[x-1,y+1]]])
       elif y == Ymax-1:
           sez.extend([[x,y-1,array[x,y-1]]])
           sez.extend([[x-1,y-1,array[x-1,y-1]]])
           sez.extend([[x-1,y,array[x-1,y]]])
       elif y != 0 and y != Ymax-1:
           sez.extend([[x,y+1,array[x,y+1]]])
           sez.extend([[x,y-1,array[x,y-1]]])
           sez.extend([[x-1,y,array[x-1,y]]])
           sez.extend([[x-1,y+1,array[x-1,y+1]]])
           sez.extend([[x-1,y-1,array[x-1,y-1]]])          
   elif x != 0 and x != Xmax-1:
       if y ==0:
           sez.extend([[x,y+1,array[x,y+1]]])
           sez.extend([[x+1,y+1,array[x+1,y+1]]])
           sez.extend([[x+1,y,array[x+1,y]]])
           sez.extend([[x-1,y,array[x-1,y]]])
           sez.extend([[x-1,y+1,array[x-1,y+1]]])
       elif y == Ymax-1:
           sez.extend([[x+1,y,array[x+1,y]]])
           sez.extend([[x-1,y,array[x-1,y]]])
           sez.extend([[x+1,y-1,array[x+1,y-1]]])
           sez.extend([[x-1,y-1,array[x-1,y-1]]])
           sez.extend([[x,y-1,array[x,y-1]]])
       elif y != 0 and y != Ymax-1:
           sez.extend([[x,y+1,array[x,y+1]]])
           sez.extend([[x+1,y+1,array[x+1,y+1]]])
           sez.extend([[x+1,y,array[x+1,y]]])
           sez.extend([[x+1,y-1,array[x+1,y-1]]])
           sez.extend([[x,y-1,array[x,y-1]]])
           sez.extend([[x-1,y-1,array[x-1,y-1]]])
           sez.extend([[x-1,y,array[x-1,y]]])
           sez.extend([[x-1,y+1,array[x-1,y+1]]])
   return sez
