# -*- coding: cp1250 -*-

"""
Module "border_of_raster" contains the function "border" that finds the edge
of the raster and adds it to the heap.

Modul "border_of_raster" obsahuje funkci "border",kter najde okraj
rastru a pid ho do haldy.
"""

import numpy, heap

def border(array,ha,Xmax,Ymax):
    rc = numpy.zeros((Xmax,Ymax))
    for x in range(Xmax):
        for y in range(Ymax):
            if array[x,y] != -999:
                if x == 0:
                    if y == 0:
                        if (array[x+1,y] == -999) or (array[x+1,y+1] == -999) or (array[x,y+1] == -999):
                            heap.ins_el (ha, [x,y,array[x,y]], index=2)
                            rc[x,y] = 1
                    elif y == Ymax-1:
                        if (array[x,y-1] == -999) or (array[x+1,y] == -999) or (array[x+1,y-1] == -999):
                            heap.ins_el (ha, [x,y,array[x,y]], index=2)
                            rc[x,y] = 1
                    elif y !=0 and y != Ymax-1:
                        if (array[x,y+1] == -999) or (array[x+1,y+1] == -999) or (array[x+1,y] == -999) or (array[x+1,y-1] == -999) or (array[x,y-1] == -999):
                            heap.ins_el (ha, [x,y,array[x,y]], index=2)
                            rc[x,y] = 1
                elif x == Xmax-1:
                    if y == 0:
                        if (array[x,y+1] == -999) or (array[x-1,y] == -999) or (array[x-1,y+1] == -999):
                            heap.ins_el (ha, [x,y,array[x,y]], index=2)
                            rc[x,y] = 1
                    elif y == Ymax-1:
                        if (array[x,y-1] == -999) or (array[x-1,y-1] == -999) or (array[x-1,y] == -999):
                            heap.ins_el (ha, [x,y,array[x,y]], index=2)
                            rc[x,y] = 1
                    elif y != 0 and y!= Ymax-1:
                        if (array[x,y+1] == -999) or (array[x,y-1] == -999) or (array[x-1,y] == -999) or (array[x-1,y+1] == -999) or (array[x-1,y-1] == -999):
                            heap.ins_el (ha, [x,y,array[x,y]], index=2)
                            rc[x,y] = 1
                elif x != 0 and x != Xmax-1:
                    if y == 0:
                        if (array[x,y+1] == -999) or (array[x+1,y+1] == -999) or (array[x+1,y] == -999) or (array[x-1,y] == -999) or (array[x-1,y+1] == -999):
                            heap.ins_el (ha, [x,y,array[x,y]], index=2)
                            rc[x,y] = 1
                    elif y == Ymax-1:
                        if (array[x+1,y] == -999) or (array[x-1,y] == -999) or (array[x+1,y-1] == -999) or (array[x-1,y-1] == -999) or (array[x,y-1] == -999):
                            heap.ins_el (ha, [x,y,array[x,y]], index=2)
                            rc[x,y] = 1
                    elif y != 0 and y != Ymax-1:
                        if (array[x,y+1] == -999) or (array[x+1,y+1] == -999) or (array[x+1,y] == -999) or (array[x+1,y-1] == -999) or (array[x,y-1] == -999) or (array[x-1,y-1] == -999) or (array[x-1,y] == -999) or (array[x-1,y+1] == -999):
                            heap.ins_el (ha, [x,y,array[x,y]], index=2)
                            rc[x,y] = 1

    for x in range(Xmax):
        if x == 0 or x == Xmax-1:
            for y in range (Ymax):
                if (array[x,y] != -999) and (rc[x,y] != 1):
                    heap.ins_el (ha, [x, y, array[x,y]], index=2)
        else:
            if (array[x,0] != -999) and (rc[x,0] != 1):
                heap.ins_el (ha, [x, 0, array[x,0]], index=2)
            if (array[x,Ymax-1] != -999) and (rc[x,Ymax-1] != 1):
                heap.ins_el (ha, [x, Ymax-1, array[x,Ymax-1]], index=2)

    return ha
                        






            
        
 
